Skip to main content
POST
Check if a derogation is required for a branch/action

Authorizations

Authorization
string
header
required

Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.

Headers

tenant
string
required

Your tenant identifier. Requests without it are rejected.

Path Parameters

branchId
string
required

Id of the branch

Pattern: ^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$

Query Parameters

action
enum<string>
required

Action for the derogation

Available options:
QUOTE,
CONFIRM,
SIGN

Body

application/json
customFieldsToOverride
object[]

Custom fields you want to check derogation requirement with

Response

200 - application/json
needsDerogation
boolean
required

Whether a derogation is required for the branch/action